<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/General/AudioPlayer/KKLAudioPlayer.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_k_k_l_audio_player_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">KKLAudioPlayer.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_k_k_l_audio_player_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  KKLAudioPlayer.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  KKLOnLine</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by 江俊辰 on 2017/9/27.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//  Copyright © 2017年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#import &lt;Foundation/Foundation.h&gt;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#import &lt;AVFoundation/AVFoundation.h&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#import &lt;CKKit/CKKit.h&gt;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="_k_k_l_audio_player_8h.html#ad7b3107b683c835badd974b0ca97067c">   12</a></span>&#160;<span class="keyword">typedef</span> <a class="code" href="_k_k_l_audio_player_8h.html#ad7b3107b683c835badd974b0ca97067c">NS_ENUM</a>(NSUInteger, KKLAudioPlayerStatus) {</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    KKLAudioPlayerStatusUnknow = 0,</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    KKLAudioPlayerStatusPlaying,</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;    KKLAudioPlayerStatusLoading,</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    KKLAudioPlayerStatusPaused,</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    KKLAudioPlayerStatusEnd</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;};</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160; </div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="protocol_k_k_l_audio_model-p.html">   20</a></span>&#160;<span class="keyword">@protocol </span><a class="code" href="protocol_k_k_l_audio_model-p.html">KKLAudioModel</a> &lt;CKDataModel&gt;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;- (NSURL *)<a class="code" href="protocol_k_k_l_audio_model-p.html#af4e71203b9e3b0ac1a2332d4b2e6f0cc">audioURL</a>;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">@optional</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;- (CMTime)<a class="code" href="protocol_k_k_l_audio_model-p.html#ac18e42d0433d4257ab5c9b27db715853">audioTotalTime</a>;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;- (NSString *)<a class="code" href="protocol_k_k_l_audio_model-p.html#a4dea314664dc938e07ad3e087b638e30">audioArtist</a>;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;- (NSString *)<a class="code" href="protocol_k_k_l_audio_model-p.html#a1565ae44a2e8b9338ff52b185ba35635">audioTitle</a>;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="interface_k_k_l_audio_player.html">   32</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_k_k_l_audio_player.html">KKLAudioPlayer</a> : NSObject</div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="interface_k_k_l_audio_player.html#a5de997ab0e6131b1af5b6e1876146eaa">   33</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong, readonly) id&lt;KKLAudioModel&gt; <a class="code" href="interface_k_k_l_audio_player.html#a5de997ab0e6131b1af5b6e1876146eaa">audio</a>;</div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="interface_k_k_l_audio_player.html#a93c9cceea19c110cc944eb278aceaee2">   35</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign, readonly) KKLAudioPlayerStatus <a class="code" href="interface_k_k_l_audio_player.html#a93c9cceea19c110cc944eb278aceaee2">status</a>;</div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="interface_k_k_l_audio_player.html#a032b079080271b43492dbefa93eb8147">   37</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign, readonly) CMTime <a class="code" href="interface_k_k_l_audio_player.html#a032b079080271b43492dbefa93eb8147">currentTime</a>;</div>
<div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="interface_k_k_l_audio_player.html#a530cc524d9a02634421aaad0d565e0ed">   39</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign, readonly) CMTime <a class="code" href="interface_k_k_l_audio_player.html#a530cc524d9a02634421aaad0d565e0ed">totalTime</a>;</div>
<div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="interface_k_k_l_audio_player.html#aa2b5e6476469b1ae714b94fd7646d369">   41</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong, readonly) NSError *<a class="code" href="interface_k_k_l_audio_player.html#aa2b5e6476469b1ae714b94fd7646d369">error</a>;</div>
<div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="interface_k_k_l_audio_player.html#a6b1cfeef11def971bf6e34059ea4a4ca">   43</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) BOOL <a class="code" href="interface_k_k_l_audio_player.html#a6b1cfeef11def971bf6e34059ea4a4ca">shouldUpdatePlayerWidget</a>;</div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="interface_k_k_l_audio_player.html#a38c6dc27351f467d3a8fac39618b991f">   45</a></span>&#160;<span class="keyword">@property</span> (nonatomic,assign) CGFloat <a class="code" href="interface_k_k_l_audio_player.html#a38c6dc27351f467d3a8fac39618b991f">volume</a>;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160; </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;- (void)replayAudio:(<span class="keywordtype">id</span>&lt;<a class="code" href="protocol_k_k_l_audio_model-p.html">KKLAudioModel</a>&gt;)audio;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;- (void)replayAudio:(<span class="keywordtype">id</span>&lt;<a class="code" href="protocol_k_k_l_audio_model-p.html">KKLAudioModel</a>&gt;)audio withStartTime:(CMTime)currentTime;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;- (void)<a class="code" href="interface_k_k_l_audio_player.html#ac64ebf0b646d70c086efbef451da5ea8">play</a>;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;- (void)<a class="code" href="interface_k_k_l_audio_player.html#ab8f66c583ae6f4c3865fc3a3f7e63562">pause</a>;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;- (void)<a class="code" href="interface_k_k_l_audio_player.html#a54e74db0c308b1b8e03200c77bd4db64">reset</a>;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;- (void)seekToTime:(CMTime)time;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160; </div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160; </div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aprotocol_k_k_l_audio_model-p_html_af4e71203b9e3b0ac1a2332d4b2e6f0cc"><div class="ttname"><a href="protocol_k_k_l_audio_model-p.html#af4e71203b9e3b0ac1a2332d4b2e6f0cc">-[KKLAudioModel-p audioURL]</a></div><div class="ttdeci">NSURL * audioURL()</div><div class="ttdoc">音频地址</div></div>
<div class="ttc" id="ainterface_k_k_l_audio_player_html_a5de997ab0e6131b1af5b6e1876146eaa"><div class="ttname"><a href="interface_k_k_l_audio_player.html#a5de997ab0e6131b1af5b6e1876146eaa">KKLAudioPlayer::audio</a></div><div class="ttdeci">id&lt; KKLAudioModel &gt; audio</div><div class="ttdef"><b>Definition:</b> <a href="_k_k_l_audio_player_8h_source.html#l00033">KKLAudioPlayer.h:33</a></div></div>
<div class="ttc" id="aprotocol_k_k_l_audio_model-p_html_a4dea314664dc938e07ad3e087b638e30"><div class="ttname"><a href="protocol_k_k_l_audio_model-p.html#a4dea314664dc938e07ad3e087b638e30">-[KKLAudioModel-p audioArtist]</a></div><div class="ttdeci">NSString * audioArtist()</div><div class="ttdoc">音频来源</div></div>
<div class="ttc" id="ainterface_k_k_l_audio_player_html_ac64ebf0b646d70c086efbef451da5ea8"><div class="ttname"><a href="interface_k_k_l_audio_player.html#ac64ebf0b646d70c086efbef451da5ea8">-[KKLAudioPlayer play]</a></div><div class="ttdeci">void play()</div><div class="ttdoc">从当前进度开始播放</div><div class="ttdef"><b>Definition:</b> <a href="_k_k_l_audio_player_8m_source.html#l00020">KKLAudioPlayer.m:63</a></div></div>
<div class="ttc" id="ainterface_k_k_l_audio_player_html_a54e74db0c308b1b8e03200c77bd4db64"><div class="ttname"><a href="interface_k_k_l_audio_player.html#a54e74db0c308b1b8e03200c77bd4db64">-[KKLAudioPlayer reset]</a></div><div class="ttdeci">void reset()</div><div class="ttdoc">重置播放器</div><div class="ttdef"><b>Definition:</b> <a href="_k_k_l_audio_player_8m_source.html#l00020">KKLAudioPlayer.m:105</a></div></div>
<div class="ttc" id="a_k_k_l_audio_player_8h_html_ad7b3107b683c835badd974b0ca97067c"><div class="ttname"><a href="_k_k_l_audio_player_8h.html#ad7b3107b683c835badd974b0ca97067c">NS_ENUM</a></div><div class="ttdeci">typedef NS_ENUM(NSUInteger, KKLAudioPlayerStatus)</div><div class="ttdef"><b>Definition:</b> <a href="_k_k_l_audio_player_8h_source.html#l00012">KKLAudioPlayer.h:12</a></div></div>
<div class="ttc" id="aprotocol_k_k_l_audio_model-p_html"><div class="ttname"><a href="protocol_k_k_l_audio_model-p.html">KKLAudioModel-p</a></div><div class="ttdef"><b>Definition:</b> <a href="_k_k_l_audio_player_8h_source.html#l00020">KKLAudioPlayer.h:20</a></div></div>
<div class="ttc" id="aprotocol_k_k_l_audio_model-p_html_a1565ae44a2e8b9338ff52b185ba35635"><div class="ttname"><a href="protocol_k_k_l_audio_model-p.html#a1565ae44a2e8b9338ff52b185ba35635">-[KKLAudioModel-p audioTitle]</a></div><div class="ttdeci">NSString * audioTitle()</div><div class="ttdoc">音频标题</div></div>
<div class="ttc" id="ainterface_k_k_l_audio_player_html_a38c6dc27351f467d3a8fac39618b991f"><div class="ttname"><a href="interface_k_k_l_audio_player.html#a38c6dc27351f467d3a8fac39618b991f">KKLAudioPlayer::volume</a></div><div class="ttdeci">CGFloat volume</div><div class="ttdoc">音量</div><div class="ttdef"><b>Definition:</b> <a href="_k_k_l_audio_player_8h_source.html#l00045">KKLAudioPlayer.h:45</a></div></div>
<div class="ttc" id="ainterface_k_k_l_audio_player_html_a530cc524d9a02634421aaad0d565e0ed"><div class="ttname"><a href="interface_k_k_l_audio_player.html#a530cc524d9a02634421aaad0d565e0ed">KKLAudioPlayer::totalTime</a></div><div class="ttdeci">CMTime totalTime</div><div class="ttdoc">总共播放时间</div><div class="ttdef"><b>Definition:</b> <a href="_k_k_l_audio_player_8h_source.html#l00039">KKLAudioPlayer.h:39</a></div></div>
<div class="ttc" id="ainterface_k_k_l_audio_player_html_ab8f66c583ae6f4c3865fc3a3f7e63562"><div class="ttname"><a href="interface_k_k_l_audio_player.html#ab8f66c583ae6f4c3865fc3a3f7e63562">-[KKLAudioPlayer pause]</a></div><div class="ttdeci">void pause()</div><div class="ttdoc">暂停播放</div><div class="ttdef"><b>Definition:</b> <a href="_k_k_l_audio_player_8m_source.html#l00020">KKLAudioPlayer.m:95</a></div></div>
<div class="ttc" id="ainterface_k_k_l_audio_player_html"><div class="ttname"><a href="interface_k_k_l_audio_player.html">KKLAudioPlayer</a></div><div class="ttdef"><b>Definition:</b> <a href="_k_k_l_audio_player_8h_source.html#l00032">KKLAudioPlayer.h:33</a></div></div>
<div class="ttc" id="aprotocol_k_k_l_audio_model-p_html_ac18e42d0433d4257ab5c9b27db715853"><div class="ttname"><a href="protocol_k_k_l_audio_model-p.html#ac18e42d0433d4257ab5c9b27db715853">-[KKLAudioModel-p audioTotalTime]</a></div><div class="ttdeci">CMTime audioTotalTime()</div><div class="ttdoc">总时长</div></div>
<div class="ttc" id="ainterface_k_k_l_audio_player_html_aa2b5e6476469b1ae714b94fd7646d369"><div class="ttname"><a href="interface_k_k_l_audio_player.html#aa2b5e6476469b1ae714b94fd7646d369">KKLAudioPlayer::error</a></div><div class="ttdeci">NSError * error</div><div class="ttdoc">播放错误(可用于KVO)</div><div class="ttdef"><b>Definition:</b> <a href="_k_k_l_audio_player_8h_source.html#l00041">KKLAudioPlayer.h:41</a></div></div>
<div class="ttc" id="ainterface_k_k_l_audio_player_html_a6b1cfeef11def971bf6e34059ea4a4ca"><div class="ttname"><a href="interface_k_k_l_audio_player.html#a6b1cfeef11def971bf6e34059ea4a4ca">KKLAudioPlayer::shouldUpdatePlayerWidget</a></div><div class="ttdeci">BOOL shouldUpdatePlayerWidget</div><div class="ttdoc">是否需要更新后台播放器插件</div><div class="ttdef"><b>Definition:</b> <a href="_k_k_l_audio_player_8h_source.html#l00043">KKLAudioPlayer.h:43</a></div></div>
<div class="ttc" id="ainterface_k_k_l_audio_player_html_a032b079080271b43492dbefa93eb8147"><div class="ttname"><a href="interface_k_k_l_audio_player.html#a032b079080271b43492dbefa93eb8147">KKLAudioPlayer::currentTime</a></div><div class="ttdeci">CMTime currentTime</div><div class="ttdoc">当前的播放时间(可用于KVO)</div><div class="ttdef"><b>Definition:</b> <a href="_k_k_l_audio_player_8h_source.html#l00037">KKLAudioPlayer.h:37</a></div></div>
<div class="ttc" id="ainterface_k_k_l_audio_player_html_a93c9cceea19c110cc944eb278aceaee2"><div class="ttname"><a href="interface_k_k_l_audio_player.html#a93c9cceea19c110cc944eb278aceaee2">KKLAudioPlayer::status</a></div><div class="ttdeci">KKLAudioPlayerStatus status</div><div class="ttdoc">播放状态(可用于KVO)</div><div class="ttdef"><b>Definition:</b> <a href="_k_k_l_audio_player_8h_source.html#l00035">KKLAudioPlayer.h:35</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_171c39b2a2b35fab3d93e826831e70cd.html">General</a></li><li class="navelem"><a class="el" href="dir_87ade26f3473707b1bc8386b491b2578.html">AudioPlayer</a></li><li class="navelem"><a class="el" href="_k_k_l_audio_player_8h.html">KKLAudioPlayer.h</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
